View Issue Details

IDProjectCategoryView StatusLast Update
0003029Kali Linux[All Projects] Kali Package Bugpublic2016-02-09 07:54
ReporterayamhitamAssigned Torhertzog  
PriorityimmediateSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version2016.1 
Summary0003029: Kali does not run properly on Skylake CPUs
DescriptionReproducible in Live environments, VM installs, graphical installs, nongraphical installs, networked live, safe mode live, VM copied folders.
Steps To ReproduceInstall it or try to run it on a Skylake CPU. I've gotten remarkably close to a working system but gradually, more and more mysteriously fails. Anything from 'apt-get upgrade' to just logging in at all, it's all hacked together with Skylake and kernel panics are normal.
Additional Informationhttps://forums.kali.org/showthread.php?28348-Installing-on-VMWare-failed-Please-Help

Multiple users finding out the common denominator is Skylake. Not sure if the instructions must be that different or of it's a virtualization issue or what.

Activities

rhertzog

2016-01-22 08:31

administrator   ~0004646

Why are you emulating a Skylake CPU? Try to emulate a different CPU if this one does not work for you.

Can you retry with Kali Rolling 2016.1? With its newest kernel and libc6, it might work better on that CPU.

hosnappp

2016-01-22 14:55

reporter   ~0004647

Last edited: 2016-01-26 20:14

I did not say I am emulating a CPU. I'm saying the newest Kali will not work on my Skylake CPU using either a VM or boot environment.

I will try the newest release that being said and get back to you.

hosnappp

2016-01-26 20:13

reporter   ~0004648

May want to refer to this: http://www.theinquirer.net/inquirer/news/2433010/linux-kernel-43-brings-intel-skylake-and-open-source-nvidia-support

rhertzog

2016-02-08 17:29

administrator   ~0004680

Did you test Kali 2016.1 ?

hosnappp

2016-02-08 17:32

reporter   ~0004681

Yes! It worked perfectly, just needed that Kernel update.

Thanks a lot! Kali devs are awesome.

rhertzog

2016-02-09 07:54

administrator   ~0004685

Thanks, closing the bug then.

Issue History

Date Modified Username Field Change
2016-01-30 18:02 ayamhitam New Issue
2016-01-30 18:02 ayamhitam Issue generated from: 0002935
2016-02-08 17:29 rhertzog Note Added: 0004680
2016-02-08 17:32 hosnappp Note Added: 0004681
2016-02-09 07:54 rhertzog Note Added: 0004685
2016-02-09 07:54 rhertzog Status assigned => resolved
2016-02-09 07:54 rhertzog Fixed in Version => 2016.1
2016-02-09 07:54 rhertzog Resolution open => fixed